pspp-cvs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Pspp-cvs] Changes to pspp/tests/bugs/big-input-2.sh


From: John Darrington
Subject: [Pspp-cvs] Changes to pspp/tests/bugs/big-input-2.sh
Date: Sun, 09 Jan 2005 04:19:23 -0500

Index: pspp/tests/bugs/big-input-2.sh
diff -u pspp/tests/bugs/big-input-2.sh:1.1 pspp/tests/bugs/big-input-2.sh:1.2
--- pspp/tests/bugs/big-input-2.sh:1.1  Thu Jan  6 12:55:45 2005
+++ pspp/tests/bugs/big-input-2.sh      Sun Jan  9 08:54:05 2005
@@ -53,17 +53,14 @@
 
 printf "Creating input data.  Please wait"
 activity="create data"
-i=0
-while [ $i -lt 100000 ] ; do 
-       echo AB12 >> $TEMPDIR/large.dat;
-       i=$[$i + 1];
-done;
+( while true ; do 
+       echo AB12;
+done )  | head -100000 >> $TEMPDIR/large.dat
+if [ $? -ne 0 ] ; then no_result ; fi
 printf '.'
-i=0
-while [ $i -lt 100000 ] ; do 
-       echo AB04 >> $TEMPDIR/large.dat;
-       i=$[$i + 1];
-done;
+( while true ; do 
+       echo AB04;
+done )  | head -100000 >> $TEMPDIR/large.dat
 if [ $? -ne 0 ] ; then no_result ; fi
 printf "\n";
 
@@ -83,21 +80,16 @@
 $SUPERVISOR $here/../src/pspp -o raw-ascii $TEMPDIR/large.sps > /dev/null
 if [ $? -ne 0 ] ; then fail ; fi
 
-
 activity="appending to data"
 # Put another 100,000 cases into large.dat
-i=0
-while [ $i -lt 50000 ] ; do 
-       echo AB04 >> $TEMPDIR/large.dat;
-       echo AB12 >> $TEMPDIR/large.dat;
-       i=$[$i + 1];
-done;
+( while true ; do 
+       echo AB04 
+       echo AB12 
+done )  | head -50000 >> $TEMPDIR/large.dat
 if [ $? -ne 0 ] ; then no_result ; fi
 
 activity="run program"
 $SUPERVISOR $here/../src/pspp -o raw-ascii $TEMPDIR/large.sps > /dev/null
 if [ $? -ne 0 ] ; then fail ; fi
 
-
-
 pass;




reply via email to

[Prev in Thread] Current Thread [Next in Thread]